body {
    display: grid;
    font-family: 'Georgia', serif;
    color: white;
    background: url(../img/bgi.jpg) no-repeat center center fixed;
    background-size: cover;
    grid-template-columns: 1fr;
    grid-template-rows: auto 80px auto;
    justify-items: center;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    margin: 0;
    font-size: 20px;
}

header {
    display: flex;
    grid-row: 1 / 2;
    grid-column: 1 / 2;
    background-image: url(../img/fondo.jpeg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center; /* Centra la imagen en el encabezado */
    text-align: center;
    height: 300px;
    width: 100%;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    padding: 20px;
}

.container {
    background-color: rgba(128, 128, 128, 0.774);
    border-radius: 20px;
    height: 200px;
    width: 50%;
    justify-content: center;
    align-items: center;
}

.logo {
    height: 80px;
    width: 80px;
    margin-top: 10px; /* Añadido: Espacio superior */
    margin-bottom: 10px; /* Añadido: Espacio inferior */
}

header h1 {
    font-size: 2em; /* Ajustar tamaño del título */
    margin-bottom: 10px; /* Añadido: Espacio inferior */
    color: orange;
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    margin: 0 0 20px;
}

nav {
    display: flex;
    grid-row: 2 / 3;
    grid-column: 2 / 1;
    height: 80px;
    width: 80%;
    justify-content: space-between;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.733);
    border: 1px solid orange;
    border-radius: 15px;
}

nav ul {
    display: flex;
    list-style: none;
    padding: 0;
    width: 100%;
    justify-content: space-around;
}

nav ul li {
    padding: 10px 20px;
    border: 1px solid none;
    width: 100%;
    margin-left: 10px;
}

main {
    grid-row: 3 / 4;
    grid-column: 2 / 1;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 50px;
}

.contenedor {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
    background-color: black;
    border: 1px solid orange;
    border-radius: 20px;
    height: auto; /* Cambiar altura a auto para ajustarse al contenido */
    width: 75%;
    gap: 30px;
    padding: 20px;  
    margin-top: 30px;
    color: black;
}

.box1, .box2, .box3 {
    border-radius: 20px;
    text-align: center;
    margin: 10px;
    padding: 10px; /* Mantener un padding reducido */
    gap: 5px; /* Reducir gap entre los elementos internos */
    font-family: 'Cinzel', serif;
    word-spacing: 5px;
    line-height: 1.5em;
    height: auto;
    width: 25%;
    overflow-wrap: break-word;
    word-break: break-word;
    overflow: hidden;
    text-overflow: ellipsis;
    display: flex;
    flex-direction: column;
    /* justify-content: space-between; Eliminar para evitar separación excesiva */
}

.box1 {
    background-color: rgba(0, 128, 0, 0.849);
}

.box2 {
    background-color: rgba(255, 255, 255, 0.849);
}

.box3 {
    background-color: rgba(255, 0, 0, 0.849);
}

.box1 p, .box2 p, .box3 p {
    font-family: 'Cormorant Garamond', serif;
    margin: 0; /* Añadido: Eliminar márgenes para evitar desbordamiento */
}

.box_img {
    height: 200px;
    width: 100%;
    border-radius: 20px;
}

a {
    text-decoration: none;
    color: white;
}

a:hover {
    background-color: grey;
}

.menu {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
    padding: 20px;
    background-color: rgba(0, 0, 0, 0.7);
    border-radius: 10px;
    width: 50%;
}

.platos{
    background-color: #c5c2c2d2;
    color: #000;
    width: auto;
    text-align: center;
    border: 1px solid #ddd;
    border-radius: 10px;
    padding: 10px;
    margin-top: 20px;
}

.platos:hover{
    background-color: #ddd;
}

.menu img {
    max-width: 50%;
    height: auto;
}

.social {
    height: 50px;
    width: 50px;
}

form{
    width: 50%;
    margin-top: 20px;
    padding: 30px;
    background-color: rgba(255, 255, 255, 0.9);
    border: 1px solid #ccc;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    color: black;
    display: flex;
    flex-direction: column;
    align-items: center;
}

form label{
    width: 50%;
    margin: 10px 0 5px 0;
    font-weight: bold;
}

.input {
    display: flex;
    justify-content: space-between;
}

.input-group {
    flex: 1;
    margin-right: 10px;
}


form input{
    width: 100%;
    padding: 10px;
    margin: 5px 0 20px 0;
    border: 1px solid #ccc;
    border-radius: 5px;
}

form .button{
    padding: 10px 20px;
    background-color: #e79191;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

form .button:hover {
    background-color: #963030;
}

.google-map {
    margin-top: 50px;
    background-color: rgb(107, 101, 101);
    border: 2px solid orange;
    border-radius: 20px;
    padding: 20px;
    height: 900px;
}

.google-map iframe {
    height: 400px;
    width: 900px;
    border-radius: 20px;
}

footer {
    display: flex;
    grid-row: 4;
    grid-column: 1;
    background-color: #304861cb;
    height: 150px;
    width: 100%;
    gap: 20px;  /* Reducir el espacio entre los elementos */
    justify-content: center;
    align-items: center;
    margin-top: 10px;
}

.foot1, .foot2 {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;  /* Cambiar a una columna en pantallas pequeñas */
    align-items: center;
    width: 100%;
    text-align: center;
}

@media (max-width: 750px) {
    header {
        height: auto; /* Ajustar altura automáticamente */
        padding: 10px; /* Ajustar el espacio interno */
    }

    .logo {
        margin-top: 5px; /* Ajustar espacio superior */
        margin-bottom: 5px; /* Ajustar espacio inferior */
    }

    header h1 {
        font-size: 1.5em; /* Ajustar tamaño del título */
        margin-bottom: 5px; /* Añadido: Espacio inferior */
    }
    
    nav {
        flex-direction: column;
        align-items: center;
        height: 250px;
        max-width: auto;
        width: 50%;
        padding: 10px;
    }

    nav ul {
        flex-direction: column;
        align-items: center;
        width: 100%;
        padding: 0;
    }

    nav ul li {
        width: 100%;
        text-align: center;
        padding: 10px 0;
    }

    nav ul li:hover{
        background-color: grey;
    }

    /* Otros estilos responsive existentes */
    main {
        width: 100%;
        margin-top: 190px; /* Ajuste del margen superior */
    }

    .box1, .box2, .box3 {
        height: 100%;
        width: 100%;
        white-space: normal;
    }

    .box_img {
        height: 300px;
    }

    .contenedor, form {
        width: 90%;
    }

    .menu {
        display: grid;
        grid-template-columns: 1fr;
        gap: 20px;
        padding: 20px;
        background-color: rgba(0, 0, 0, 0.7);
        border-radius: 10px;
        width: 90%;
        margin-top: 10px;
    }

    form {
        width: 90%; /* Ajuste del ancho del formulario */
        margin-top: 200px; /* Ajuste del margen superior */
    }

    footer {
        flex-direction: column;
        height: auto;
        padding: 20px;
    }

    .foot1, .foot2 {
        width: 100%;
        margin: 10px 0;
    }

    .google-map {
        height: auto;
        width: 90%;
        margin-top: 200px;
    }

    .google-map iframe {
        height: 600px;
        width: 100%;
    }
}